Subject: tar & symbolic links
From: [email-masked] (Fergus Henderson)

16 Dec 1998 17:14:27 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Cygnus GNU-win32 mailing list <[email-masked]>

I'm using Cygwin version b20.1.
When I try to untar a tar file containing symbolic links,
and those symbolic links already exist,
I get the following error message:

	tar: foo: Could not create symlink to `bar': Permission denied 

This behaviour differs from e.g. Debian Linux, where it instead
silently overwrites any existing symbol links (just as it does
for ordinary files).

At very least, the error message ought to be something less misleading,
e.g.

	tar: foo: Could not create symlink to `bar': File exists

P.S.  Here's how to reproduce the problem:

	ln -s foo bar
	tar cvf t.tar bar
	tar xvf t.tar
	tar xvf t.tar

-- 
Fergus Henderson <[email-masked]>  |  "Binaries may die
WWW: <http://www.cs.mu.oz.au/~fjh>  |   but source code lives forever"
PGP: finger [email-masked]        |     -- leaked Microsoft memo.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".